<?php  

require_once('../../../conexion.php');

class Preinscripciones extends conexion
{
	public function __construct() { 
        $this->db = parent::__construct(); 
    } 

    public function cambiar($cadena)
    {
        $originales = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ';
        $modificadas ='aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
        $cadena = utf8_decode($cadena);
        $cadena = strtr($cadena, utf8_decode($originales), $modificadas);
        $cadena = strtoupper($cadena);
        return utf8_encode($cadena);
    }
    
    public function cambiarCaracteres($Documento)
    {
    	$Documento = str_replace(" ", "", $Documento);
    	$Documento = str_replace(".", "", $Documento);
    	$Documento = str_replace(";", "", $Documento);
    	$Documento = str_replace(",", "", $Documento);
    	return $Documento;
    }

  	public function listarPreinscripciones()
	{
		$rows = null;
		$statement = $this->db->prepare("SELECT * FROM preinscripciones p INNER JOIN cleis c ON p.ID_CLEI = c.ID_CLEI ORDER BY p.ID_PREINSCRIPCION DESC LIMIT 100");
		$statement->execute();

		while ($result = $statement->fetch()){
			$rows[] = $result;
		}
		return $rows;
	}
    
    public function listarPreinscripcionesReporte()
	{
		$rows = null;
		$statement = $conexion->prepare("SELECT * FROM preinscripciones p INNER JOIN cleis c ON p.ID_CLEI = c.ID_CLEI ORDER BY p.ID_PREINSCRIPCION DESC");
		$statement->execute();
		while ($result = $statement->fetch()) {
			$rows[] = $result;
		}
		return $rows;
	}
    
	public function listarPreinscripcionesByNombre($Nombre)
	{
		$rows = null;
		$statement = $this->db->prepare("SELECT * FROM preinscripciones p INNER JOIN cleis c ON p.ID_CLEI = c.ID_CLEI WHERE p.NOMBRE LIKE concat('%', :Nombre ,'%') ORDER BY p.ID_PREINSCRIPCION DESC");
		$statement->bindParam(':Nombre', $Nombre);
		$statement->execute();
		while ($result = $statement->fetch()){
			$rows[] = $result;
		}
		return $rows;
	}

	public function listarByFechas($Desde, $Hasta)
	{
		$rows = null;
		$statement = $this->db->prepare("SELECT * FROM preinscripciones p INNER JOIN cleis c ON p.ID_CLEI = c.ID_CLEI WHERE p.FECHA BETWEEN :Desde AND :Hasta ORDER BY p.ID_PREINSCRIPCION DESC");
		$statement->bindParam(':Desde', $Desde);
		$statement->bindParam(':Hasta', $Hasta);
		$statement->execute();
		while ($result = $statement->fetch()){
			$rows[] = $result;
		}
		return $rows;
	}

	public function eliminarPreinscripcion($Id){
		$statement = $this->db->prepare("DELETE FROM preinscripciones WHERE ID_PREINSCRIPCION = :Id");
		$statement->bindParam(':Id', $Id);
		$statement->execute();
		return true;
	}
	
	public function cambiarEstado($Id, $Estado){
		$statement = $this->db->prepare("UPDATE preinscripciones SET ESTADO = :Estado WHERE ID_PREINSCRIPCION = :Id");
		$statement->bindParam(':Id', $Id);
		$statement->bindParam(':Estado', $Estado);
		$statement->execute();
		return true;
	}
}

?>