<?php 

require_once('../../usuarios/modelo/Usuarios.php');
require_once('../modelo/Preinscripciones.php');

$VerificarSession = new Usuarios();
$VerificarSession->verificarSession();

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gestión - Estudiantes</title>
    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../Imagenes/Loguito.jpg" rel="icon" type="image/png" />
    <link href="../../css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script>
        $(function() {
            $("#EstudianteBuscado").autocomplete({
                source: "EstudiantesController/Search.php"
            });
        });
    </script>
</head>
<body>
    <div id="wrapper">
        <div class="row border-bottom">
            <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                <ul class="nav navbar-top-links navbar-right">
                    <li>
                        <a href="../../usuarios/controlador/cerrar.php">
                            <i class="fa fa-sign-out"></i> Cerrar Session
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
        <div class="row border-bottom">
        </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-12">
                    <h2>Estudiantes</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a href="#">Listado</a>
                        </li>
                        <li class="active">
                            <strong>Listado Estudiantes</strong>
                        </li>
                    </ol>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                        <form method="POST">
                        <div class="col-lg-4">
                            <div class="auto-widget">
                            <div class="form-group">
                                <label>Estudiante</label>
                                <input type="text"  placeholder="Estudiante" class="form-control" class="auto-widget" id="EstudianteBuscado" name="Nombre" autocomplete="off">
                            </div>
                        </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <br>
                                <div class="text-center">
                                 <input type="submit" class="btn btn-success" name="Buscar" style="width: 100%;" value="Buscar">
                                </div>
                            </div>
                        </div>
                        </form>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <br>
                                <div class="text-center">
                                 <button class="btn btn-success" data-toggle="modal" href="#Reporte" style="width: 100%;">Reporte</button>
                                </div>
                            </div>
                        </div>
 
                        <?php  
                        function listarPorFiltro()
                        {

                            $Estudiantes = null;

                            if (isset($_POST['Buscar'])) 
                            {
                                $Nombre = $_POST['Nombre'];

                                $Consulta = new Preinscripciones();
                                $Estudiantes = $Consulta->listarPreinscripcionesByNombre($Nombre);
                            }
                            else
                            {   
                                $Consulta = new Preinscripciones();
                                $Estudiantes = $Consulta->listarPreinscripciones();
                            }

                            return $Estudiantes;
                        }
                        

                        ?>
                        <div class="ibox-content">
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th class="text-center">Fecha</th>
                                    <th class="text-center" width="10%">Nombre</th>
                                    <th class="text-center">Email</th>
                                    <th class="text-center">Celular</th>
                                    <th class="text-center">Clei</th>
                                    <th class="text-center">Estado</th>
                                    <th class="text-center">Acciones</th>
                                </tr>
                                </thead>
                                <?php  
                                $Estudiantes = listarPorFiltro();
                                if ($Estudiantes != null) {
                                foreach ($Estudiantes as $Estudiante){
                                ?>
                                <tbody>
                                <tr>
                                    <td class="text-center"><?php echo ($Estudiante['FECHA']); ?></td>
                                    <td class="text-center"><?php echo ($Estudiante['NOMBRE']);?></td>
                                    <td class="text-center"><?php echo strtolower($Estudiante['CORREO']); ?></td>
                                    <td class="text-center"><?php echo ($Estudiante['CELULAR']); ?></td>
                                    <td class="text-center"><?php echo ($Estudiante['CLEI']); ?></td>
                                    <td class="text-center"><?php echo ($Estudiante['ESTADO']); ?></td>
                                    <td class="text-center">
                                        <a data-toggle="modal" href="#Cambiar<?php echo ($Estudiante['ID_PREINSCRIPCION']); ?>"><i class="icon fa fa-phone"></i></a>
                                        <a data-toggle="modal" href="#Eliminar<?php echo ($Estudiante['ID_PREINSCRIPCION']); ?>"><i class="icon fa fa-trash"></i></a>
                                        <a href="https://api.whatsapp.com/send?phone=57<?php echo ($Estudiante['CELULAR']); ?>" target="_blank"><i class="icon fa fa-assistive-listening-systems"></i></a>
                                    </td>
                                    <div id="Cambiar<?php echo ($Estudiante['ID_PREINSCRIPCION']); ?>" class="modal fade" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-body">
                                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                    <div><center><h3 class="m-t-none m-b">Cambiar Estado</h3></center></div>
                                                        <div class="row">
                                                            <div class="col-sm-12">
                                                                <form role="form" method="POST" action="../controlador/CambiarEstado.php">
                                                                    <input type="hidden" name="Id" value="<?php echo $Estudiante['ID_PREINSCRIPCION']; ?>">
                                                                    <div class="form-group">
                                                                        <select class="form-control" name="Estado">
                                                                            <option>Seleccione</option>
                                                                            <option value="Contactado">Contactado</option>
                                                                            <option value="Telefono Malo">Telefono Malo</option>
                                                                            <option value="Correo Malo">Correo Malo</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="text-center">
                                                                            <button class="btn btn-success" type="submit">Cambiar</button>
                                                                        </div>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="Eliminar<?php echo ($Estudiante['ID_PREINSCRIPCION']); ?>" class="modal fade" aria-hidden="true">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                     <div class="modal-body">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                         <div><center><h3 class="m-t-none m-b">Eliminar</h3></center></div>
                                                        <div class="row">
                                                             <div class="col-sm-12">
                                                                <form role="form" method="POST" action="../controlador/Eliminar.php">
                                                                    <input type="hidden" name="Id" value="<?php echo ($Estudiante['ID_PREINSCRIPCION']); ?>">
                                                                    <div class="form-group">
                                                                        <div class="text-center">
                                                                            <button class="btn btn-success" type="submit">Eliminar</button>
                                                                        </div>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </tbody>
                                    <?php 
                                        }
                                    }                                                 
                                    ?>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="Reporte" class="modal fade" aria-hidden="true">
        <div class="modal-dialog ">
            <div class="modal-content">
                <div class="modal-body">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <div><center><h3 class="m-t-none m-b">Descargar</h3></center></div>
                    <br>
                    <div class="row">
                        <div class="col-sm-12">
                            <form role="form" method="POST" action="../reportes/Estudiantes.php">
                                <div class="form-group">
                                    <label>Desde</label> 
                                    <input type="date" name="Desde" class="form-control">
                                </div>
                                <div class="form-group">
                                    <label>Hasta</label> 
                                    <input type="date" name="Hasta" class="form-control">
                                </div>
                                <div class="form-group">
                                    <div class="text-center">
                                        <button class="btn btn-success" type="submit">Generar</button>
                                    </div>
                                </div>   
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="Descargar" class="modal fade" aria-hidden="true">
        <div class="modal-dialog ">
            <div class="modal-content">
                <div class="modal-body">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <div><center><h3 class="m-t-none m-b">Descargar</h3></center></div>
                    <br>
                    <div class="row">
                        <div class="col-sm-12">
                            <form role="form" method="POST" action="Reportes/Total.php">
                            <div class="form-group">
                                <div class="text-center">
                                    <button class="btn btn-success" type="submit">Descargar</button>
                                </div>
                            </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>
    <script>
        $(document).ready(function(){
            $('.i-checks').iCheck({
                checkboxClass: 'icheckbox_square-green',
                radioClass: 'iradio_square-green',
            });
        });
    </script>
</body>
</html>
